View Issue Details

IDProjectCategoryView StatusLast Update
0004212unrealircdpublic2015-07-12 17:26
ReporternenolodAssigned Tosyzop 
PriorityhighSeveritymajorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version3.4-alpha1Fixed in Version3.4-beta1 
Summary0004212: TS6-ish server protocol metabug
DescriptionThis bug exists simply to track all the bugs related to updating the Unreal TS5 variant server protocol to TS6 (while keeping the Unreal deviations, of course).
TagsNo tags attached.
3rd party modules

Relationships

parent of 0004196 resolvednenolod TS6-style SID/UIDs 
parent of 0004213 resolvedsyzop parv[0] usage needs to be fixed 
child of 0004215 closed Unreal 3.4 alpha2 blockers 

Activities

nenolod

2013-05-25 13:20

reporter   ~0017674

the really important parts here are done other than MODE, which does already rewrite as pre-UID only.

it is probably 'good enough' for alpha1. there shouldn't be any major desync issues, etc.

Issue History

Date Modified Username Field Change
2013-05-23 10:08 nenolod New Issue
2013-05-23 10:08 nenolod Relationship added parent of 0004196
2013-05-23 10:11 nenolod Relationship added parent of 0004213
2013-05-25 00:39 nenolod Relationship added child of 0004215
2013-05-25 13:20 nenolod Note Added: 0017674
2015-07-12 17:25 syzop Status new => resolved
2015-07-12 17:25 syzop Fixed in Version => 3.4-beta1
2015-07-12 17:25 syzop Resolution open => fixed
2015-07-12 17:25 syzop Assigned To => syzop